import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + '/workLog/list',
			method: 'get',
			params: params
		})
	},
	completeData: function (params) {
		return request({
			url: prefix + '/workLog/completeData',
			method: 'get',
			params: params
		})
	},
	save (inputForm) {
		return request({
			url: prefix +  `/workLog/save`,
			method: 'post',
			data: inputForm
		})
	},
	findById (id) {
		return request({
			url: prefix + '/workLog/findById',
			method: 'get',
			params: {id: id}
		})
	},
	updateStatusById (param) {
		return request({
			url: prefix + '/workLog/updateStatusById',
			method: 'post',
			data: param
		})
	},
	remove (id) {
		return request({
			url: prefix + '/workLog/remove',
			method: 'get',
			params: {id: id}
		})
	},
	getWorkDay (startTime,endTime) {
		return request({
			url: prefix + '/workLog/getWorkDay',
			method: 'get',
			params: {startTime:startTime,endTime:endTime}
		})
	}
}
